## calamares-settings-ubuntu 5

=== Makefile ===
#!/usr/bin/make -f

#SUBDIRS :=

all: install

install:
	make -C lubuntu/po/; \
	find lubuntu/ -type f -iname "*.in" | xargs rm -f
	chmod +x lubuntu/*.desktop

# vim:ts=4

## calamares-settings-ubuntu 1

=== debian/changelog ===
calamares-settings-ubuntu (1) bionic; urgency=medium

  * Initial release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 15 Feb 2018 19:54:24 -0600

=== debian/control ===
Source: calamares-settings-ubuntu
Section: devel
Priority: optional
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
Uploaders: Simon Quigley <tsimonq2@ubuntu.com>
Build-Depends: debhelper (>= 11)
Standards-Version: 4.1.3
Homepage: https://github.com/lubuntu-team/calamares-settings-ubuntu
Vcs-Git: https://git.launchpad.net/~lubuntu-next/+git/calamares-settings-ubuntu
Vcs-Browser: https://git.launchpad.net/~lubuntu-next/+git/calamares-settings-ubuntu

Package: calamares-settings-lubuntu
Architecture: all
Suggests: lubuntu-qt-desktop
Depends: calamares, ${misc:Depends}
Description: Lubuntu Next Calamares Settings and Branding
 This package contains the calamares settings and branding for Lubuntu Next.

## calamares-settings-ubuntu 2

=== debian/changelog ===
calamares-settings-ubuntu (2) cosmic; urgency=medium

  * Add a .gitignore file for debian/files.
  * Remove lubuntu-qt-desktop from Suggests.
  * Update the Lubuntu.me website for HTTPS.
  * Bump Lubuntu's system requirements to safe values.
  * Remove calamares from the explicit removal list; we don't need it to
    be there anymore.
  * Lubuntu Next -> Lubuntu.
  * Make squashfs-tools a hard dependency; without it, Lubuntu's installation
    fails (LP: #1769781).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 10 May 2018 19:18:01 -0500

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,6 @@
 
 Package: calamares-settings-lubuntu
 Architecture: all
-Suggests: lubuntu-qt-desktop
-Depends: calamares, ${misc:Depends}
-Description: Lubuntu Next Calamares Settings and Branding
+Depends: calamares, squashfs-tools, ${misc:Depends}
+Description: Lubuntu Calamares Settings and Branding
  This package contains the calamares settings and branding for Lubuntu Next.

## calamares-settings-ubuntu 3

=== debian/changelog ===
calamares-settings-ubuntu (3) cosmic; urgency=medium

  * Bump Standards-version to 4.1.4, no changes needed.
  * Fix Vcs-* and Homepage to reflect the move off of GitHub.
  * Allow Lubuntu to be installed on systems with no network and UEFI
    systems.
  * Add a desktop file to install the system with (LP: #1771460).
  * Update the support link to be current.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 03 Jul 2018 17:03:00 -0500

=== debian/control ===
Source: calamares-settings-ubuntu
Section: devel
Priority: optional
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
Uploaders: Simon Quigley <tsimonq2@ubuntu.com>
Build-Depends: debhelper (>= 11)
Standards-Version: 4.1.4
Homepage: https://code.launchpad.net/ubuntu-calamares-settings
Vcs-Git: https://git.launchpad.net/ubuntu-calamares-settings
Vcs-Browser: https://git.launchpad.net/ubuntu-calamares-settings

Package: calamares-settings-lubuntu
Architecture: all
Depends: calamares, squashfs-tools, ${misc:Depends}
Description: Lubuntu Calamares Settings and Branding
 This package contains the calamares settings and branding for Lubuntu Next.

## calamares-settings-ubuntu 4

=== debian/changelog ===
calamares-settings-ubuntu (4) cosmic; urgency=medium

  * Don't fail to install the system on BIOS systems (LP: #1780875).
  * Remove the right live task (LP: #1780585).
  * Enable GeoIP support by default, to get accurate timezone readings.
  * Make image and text IDs unique in the slideshow.
  * Ensure that slideshow images correctly respond to their text.
  * Actually install the .desktop file.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 09 Jul 2018 20:48:33 -0500

## calamares-settings-ubuntu 5

=== debian/changelog ===
calamares-settings-ubuntu (5) cosmic; urgency=medium

  * Add translations support for the desktop file and the installer slideshow.
  * Increase the timeout for the shellprocess commands (LP: #1781015).
  * Remove the rm line of the shellprocess command (LP: #1780977).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 10 Jul 2018 19:17:43 -0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
 Uploaders: Simon Quigley <tsimonq2@ubuntu.com>
-Build-Depends: debhelper (>= 11)
+Build-Depends: debhelper (>= 11), intltool
 Standards-Version: 4.1.4
 Homepage: https://code.launchpad.net/ubuntu-calamares-settings
 Vcs-Git: https://git.launchpad.net/ubuntu-calamares-settings

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	$(MAKE)
	dh_auto_build

## calamares-settings-ubuntu 6

=== lubuntu/branding/lubuntu/lang/Makefile ===
#!/usr/bin/make -f

LANGUAGES := ar ca de es eu gl be da el et fr pl

all:
	for i in $(LANGUAGES); do \
		/usr/lib/qt5/bin/lrelease "calamares-lubuntu_$$i.ts"; \
		rm calamares-lubuntu_$$i.ts; \
	done

# vim:ts=4

=== debian/changelog ===
calamares-settings-ubuntu (6) cosmic; urgency=medium

  * Fix translations for Calamares.
  * Don't remove GRUB for now.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 11 Jul 2018 00:27:29 -0500

## calamares-settings-ubuntu 7

=== debian/changelog ===
calamares-settings-ubuntu (7) cosmic; urgency=medium

  * Fix geoip timezone detection (LP: #1781310).
  * Update translations and add support for Portuguese and Brazilian
    Portuguese.
  * Ensure that calamares.desktop is removed from all new users on a
    freshly-installed system (LP: #1781309).
  * Also remove calamares after install.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 12 Jul 2018 00:15:08 -0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
 Uploaders: Simon Quigley <tsimonq2@ubuntu.com>
-Build-Depends: debhelper (>= 11), intltool
+Build-Depends: debhelper (>= 11), intltool, qttools5-dev-tools
 Standards-Version: 4.1.4
 Homepage: https://code.launchpad.net/ubuntu-calamares-settings
 Vcs-Git: https://git.launchpad.net/ubuntu-calamares-settings

## calamares-settings-ubuntu 8

=== debian/changelog ===
calamares-settings-ubuntu (8) cosmic; urgency=medium

  * Finish Danish translations.
  * Don't use apt-cdrom; just copy the host sources.list.
  * Add a displaymanager.conf.
  * Bump Standards-version to 4.1.5, no changes needed.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 13 Jul 2018 22:26:23 -0500

## calamares-settings-ubuntu 9

=== debian/changelog ===
calamares-settings-ubuntu (9) cosmic; urgency=medium

  * Import additional translations from Weblate.
  * Replace a blind cp with a more tactful apt-cdrom command.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 15 Jul 2018 03:57:10 -0500

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
 Uploaders: Simon Quigley <tsimonq2@ubuntu.com>
 Build-Depends: debhelper (>= 11), intltool, qttools5-dev-tools
-Standards-Version: 4.1.4
+Standards-Version: 4.1.5
 Homepage: https://code.launchpad.net/ubuntu-calamares-settings
 Vcs-Git: https://git.launchpad.net/ubuntu-calamares-settings
 Vcs-Browser: https://git.launchpad.net/ubuntu-calamares-settings

## calamares-settings-ubuntu 10

=== debian/changelog ===
calamares-settings-ubuntu (10) cosmic; urgency=medium

  * Fix non-secureboot UEFI installs on real hardware (LP: #1781015).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 18 Jul 2018 23:20:42 -0500

## calamares-settings-ubuntu 11

=== debian/changelog ===
calamares-settings-ubuntu (11) cosmic; urgency=medium

  * Add a machineid file.
  * Ensure that /bin/bash is always the default shell.
  * Clean up awful hacks.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 20 Jul 2018 13:36:18 -0500

## calamares-settings-ubuntu 12

=== debian/changelog ===
calamares-settings-ubuntu (12) cosmic; urgency=critical

  * We're not Neon (LP: #1783024).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 22 Jul 2018 21:13:57 -0500

## calamares-settings-ubuntu 13

=== debian/changelog ===
calamares-settings-ubuntu (13) cosmic; urgency=critical

  * Calamares is capitalized (LP: #1783109).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 25 Jul 2018 00:30:09 -0500

## calamares-settings-ubuntu 14

=== debian/changelog ===
calamares-settings-ubuntu (14) cosmic; urgency=medium

  * Don't copy initrd from the live install, because that contains casper.
  * Make "ubuntu" the bootloader_id and don't do a cp hack.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 27 Jul 2018 14:57:47 -0500

## calamares-settings-ubuntu 15

=== debian/changelog ===
calamares-settings-ubuntu (15) cosmic; urgency=medium

  * Add a calamares-settings-ubuntu-common package with an automirror module.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 09 Aug 2018 21:25:17 -0500

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,12 @@
 
 Package: calamares-settings-lubuntu
 Architecture: all
+Depends: calamares-settings-ubuntu-common (= ${binary:Version}), ${misc:Depends}
+Description: Lubuntu Calamares Settings and Branding
+ This package contains the Calamares settings and branding for Lubuntu Next.
+
+Package: calamares-settings-ubuntu-common
+Architecture: any
 Depends: calamares, squashfs-tools, ${misc:Depends}
-Description: Lubuntu Calamares Settings and Branding
- This package contains the calamares settings and branding for Lubuntu Next.
+Description: Common Calamares Settings
+ This package contains the common Calamares settings for all flavors.

## calamares-settings-ubuntu 16

=== debian/changelog ===
calamares-settings-ubuntu (16) cosmic; urgency=medium

  * Enable automirror by default.
  * Fix a typo in automirror.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 09 Aug 2018 22:41:53 -0500

## calamares-settings-ubuntu 17

=== debian/changelog ===
calamares-settings-ubuntu (17) cosmic; urgency=medium

  * Add a minimum password strength requirement.
  * Sync default user groups with Neon.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 10 Aug 2018 20:13:38 -0500

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,9 @@
 
 Package: calamares-settings-lubuntu
 Architecture: all
-Depends: calamares-settings-ubuntu-common (= ${binary:Version}), ${misc:Depends}
+Depends: calamares-settings-ubuntu-common (= ${binary:Version}),
+         libpwquality-dev,
+         ${misc:Depends}
 Description: Lubuntu Calamares Settings and Branding
  This package contains the Calamares settings and branding for Lubuntu Next.

## calamares-settings-ubuntu 19

=== lubuntu/branding/lubuntu/lang/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-LANGUAGES := ar ca de es eu gl be da el et fr pl
+LANGUAGES := ar ca de es eu gl be da el et fr pl pt pt_BR
 
 all:
 	for i in $(LANGUAGES); do \

=== debian/changelog ===
calamares-settings-ubuntu (19) cosmic; urgency=medium

  * Remove the build dep completely.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 14 Aug 2018 17:12:15 -0500

calamares-settings-ubuntu (18) cosmic; urgency=medium

  * Translate into Danish.
  * Make the password detection runtime dep into a build dep.
  * Bump Standards-version to 4.2.0, no changes needed.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 14 Aug 2018 16:19:36 -0500

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
 Uploaders: Simon Quigley <tsimonq2@ubuntu.com>
 Build-Depends: debhelper (>= 11), intltool, qttools5-dev-tools
-Standards-Version: 4.1.5
+Standards-Version: 4.2.0
 Homepage: https://code.launchpad.net/ubuntu-calamares-settings
 Vcs-Git: https://git.launchpad.net/ubuntu-calamares-settings
 Vcs-Browser: https://git.launchpad.net/ubuntu-calamares-settings
@@ -12,7 +12,6 @@
 Package: calamares-settings-lubuntu
 Architecture: all
 Depends: calamares-settings-ubuntu-common (= ${binary:Version}),
-         libpwquality-dev,
          ${misc:Depends}
 Description: Lubuntu Calamares Settings and Branding
  This package contains the Calamares settings and branding for Lubuntu Next.

## calamares-settings-ubuntu 19.04.1

=== debian/changelog ===
calamares-settings-ubuntu (1:19.04.1) disco; urgency=medium

  [ apt-ghetto ]
  * Refactor automirror.

  [ Simon Quigley ]
  * Change the version number to be release-based.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 12 Jan 2019 15:31:39 -0600

calamares-settings-ubuntu (31) disco; urgency=medium

  * We aren't Lubuntu Next anymore; take it away from the package description.
  * Try to install languages during the installation.
  * Don't remove partitionmanager anymore; its a system utility we expect
    to have installed.
  * Write a workaround to fix the support and release notes links on the
    welcome screen.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 20 Nov 2018 18:29:15 -0600

calamares-settings-ubuntu (30) disco; urgency=medium

  * Change the desktop file from 18.10 to 19.04.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 03 Nov 2018 18:03:15 -0500

calamares-settings-ubuntu (29) disco; urgency=medium

  * Fix accidentally reverted parts of 27 in 28 due to the VCS not being
    up-to-date. Thanks to Jeremy Bicha for spotting the issue (LP: #1801393).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 02 Nov 2018 17:33:51 -0500

calamares-settings-ubuntu (28) disco; urgency=medium

  * Welcome to the Disco Dingo!

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 01 Nov 2018 20:41:31 -0500

calamares-settings-ubuntu (27) cosmic; urgency=medium

  [ Walter Lapchynski ]
  * Add missing identifiers for urllib exception handling in automirror.
  * Lubuntu: ensure upgrades don't happen for EFI packages.

  [ Simon Quigley ]
  * Run `sudo apt[-get] update` if Internet connectivity is found during the
    installation. This solves some common post-installation issues.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 17 Oct 2018 14:45:36 -0500

calamares-settings-ubuntu (26) cosmic; urgency=medium

  * Lubuntu: fix check for EFI architecture.
  * Lubuntu: fix location of installer .desktop.
  * Lubuntu: remove Lintian overrides related to the old installer .desktop.

 -- Walter Lapchynski <wxl@ubuntu.com>  Fri, 12 Oct 2018 21:04:44 -0700

calamares-settings-ubuntu (25) cosmic; urgency=medium

  * Ignore BIOS entirely when installing GRUB for EFI.
  * Restore Calamares productIcon.

 -- Walter Lapchynski <wxl@ubuntu.com>  Thu, 11 Oct 2018 19:29:20 -0700

calamares-settings-ubuntu (24) cosmic; urgency=medium

  [ Wendy Hill ]
  * Rework the Lubuntu slideshow.

  [ Simon Quigley ]
  * Add -E to the desktop icon so that our nice theming carries over.

  [ Walter Lapchynski ]
  * Generalize installation of GRUB for EFI.
  * Add urlopen() error handling to automirror, thanks to Samuel Banya.

 -- Walter Lapchynski <wxl@ubuntu.com>  Wed, 10 Oct 2018 08:36:52 -0700

calamares-settings-ubuntu (23) cosmic; urgency=medium

  * Lubuntu: ensure install .desktop file is always removed.

 -- Walter Lapchynski <wxl@ubuntu.com>  Sat, 06 Oct 2018 19:15:02 -0700

calamares-settings-ubuntu (22) cosmic; urgency=medium

  * Lubuntu: enable LUKS/encryption.

 -- Walter Lapchynski <wxl@ubuntu.com>  Thu, 04 Oct 2018 22:02:57 -0700

calamares-settings-ubuntu (21) cosmic; urgency=medium

  * Lubuntu: remove all password checking.

 -- Walter Lapchynski <wxl@ubuntu.com>  Sat, 25 Aug 2018 17:43:33 -0700

calamares-settings-ubuntu (20) cosmic; urgency=medium

  * Lubuntu: add executable to defaultDesktopEnvironment in displaymanager.

 -- Walter Lapchynski <wxl@ubuntu.com>  Mon, 20 Aug 2018 21:16:47 -0700

## calamares-settings-ubuntu 19.04.2

=== debian/changelog ===
calamares-settings-ubuntu (1:19.04.2) disco; urgency=medium

  * Adjust config for automirror changes in the previous upload.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 12 Jan 2019 21:37:37 -0600

## calamares-settings-ubuntu 19.04.3

=== debian/changelog ===
calamares-settings-ubuntu (1:19.04.3) disco; urgency=medium

  * Add a missing module in the automirror script.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 13 Jan 2019 00:25:05 -0600

## calamares-settings-ubuntu 19.04.4

=== debian/changelog ===
calamares-settings-ubuntu (1:19.04.4) disco; urgency=medium

  * Lower the minimum RAM requirements.

 -- apt-ghetto <apt-ghetto@protonmail.com>  Wed, 10 Apr 2019 19:01:48 +0200

## calamares-settings-ubuntu 19.10.1

=== debian/changelog ===
calamares-settings-ubuntu (1:19.10.1) eoan; urgency=medium

  * Welcome to the Eoan EANIMAL!

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 19 Apr 2019 19:12:02 -0500

## calamares-settings-ubuntu 19.10.2

=== debian/changelog ===
calamares-settings-ubuntu (1:19.10.2) eoan; urgency=medium

  * Fix initramfs job failing. Thanks to TJ for the fix! (LP: #1829805)
    * Move before_bootloader_mkdirs process before initramfs.
    * Workaround bug in update-initramfs::get_sorted_versions() with
      shellprocess.

 -- Walter Lapchynski <wxl@ubuntu.com>  Wed, 19 Jun 2019 19:32:14 -0700

## calamares-settings-ubuntu 19.10.3

=== debian/changelog ===
calamares-settings-ubuntu (1:19.10.3) eoan; urgency=medium

  * Short version name is eoan.
  * Set window size to fullscreen. (LP: #1824758)

 -- Dan Simmons <kc2bez@lubuntu.me>  Wed, 03 Jul 2019 18:11:25 -0400

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 Depends: calamares-settings-ubuntu-common (= ${binary:Version}),
          ${misc:Depends}
 Description: Lubuntu Calamares Settings and Branding
- This package contains the Calamares settings and branding for Lubuntu Next.
+ This package contains the Calamares settings and branding for Lubuntu.
 
 Package: calamares-settings-ubuntu-common
 Architecture: any

## calamares-settings-ubuntu 19.10.4

=== debian/changelog ===
calamares-settings-ubuntu (1:19.10.4) eoan; urgency=medium

  [ Dan Simmons ]
  * Bump Standards-Version to 4.4.0, no changes needed.
  * Bump debhelper to 12, no changes needed.
  * Adjust automirror config to new style. Change automirror module
    to allow for new config style.
  * Add setting for donate button in welcome.
  * Add geoip for welcome.
  * Adjust locale.conf to new geoip style.
  * Set userSwapChoices to none in partition.conf.
  * Set defaultFileSystemType to "ext4" in partition.conf.
  * Set default dont-chroot, oem-setup, disable-cancel, to
    eliminate warnings from settings.conf.
  * Add efiMountOptions: umask=0077 to fstab.conf.
  * Set restart mode to new style in finished.conf.
  * Set bootloader entry name to Ubuntu.
  * Set slide show API to 1 to eliminate warnings.
  * Fix lintian errors and warnings.
    - Add depends for python3 in calamares-settings-ubuntu-common.
    - Adjust depends for calamares-settings-lubuntu.
    - Add further description to extended description for
      calamares-settings-lubuntu and calamares-settings-ubuntu.
    - Add lintian override for bash in .desktop file.
    - Remove unusual-interpreter in .desktop file.
    - Adjust Makefile so .desktop file so it is not executable.
    - Add keywords to .desktop file.
    - Remove executable flag from automirror.conf and module.desc.
    - Adjust debian/rules dpkg-architecture-variable.

  [ apt-ghetto ]
  * Fix small issues in automirror module
    - Remove whitespace before index bracket.
    - Remove undefined variable.
    - Fix over-indented block.

 -- Dan Simmons <kc2bez@lubuntu.me>  Tue, 20 Aug 2019 19:59:12 -0400

## calamares-settings-ubuntu 19.10.5

=== debian/changelog ===
calamares-settings-ubuntu (1:19.10.5) eoan; urgency=medium

  * Fix UnboundLocalError in automirror module.

 -- apt-ghetto <apt-ghetto@lubuntu.me>  Sun, 08 Sep 2019 11:17:17 +0200

## calamares-settings-ubuntu 19.10.6

=== debian/changelog ===
calamares-settings-ubuntu (1:19.10.6) eoan; urgency=medium

  * Clean up automirror module:
    - Improve naming of variables
    - Add comments

 -- apt-ghetto <apt-ghetto@lubuntu.me>  Fri, 13 Sep 2019 16:51:05 +0200

=== debian/control ===
Source: calamares-settings-ubuntu
Section: devel
Priority: optional
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
Uploaders: Simon Quigley <tsimonq2@ubuntu.com>
Build-Depends: debhelper (>= 12),
               intltool,
               qttools5-dev-tools
Standards-Version: 4.4.0
Homepage: https://code.launchpad.net/ubuntu-calamares-settings
Vcs-Git: https://git.launchpad.net/ubuntu-calamares-settings
Vcs-Browser: https://git.launchpad.net/ubuntu-calamares-settings

Package: calamares-settings-lubuntu
Architecture: all
Depends: calamares-settings-ubuntu-common (>= ${binary:Version}),
         ${misc:Depends}
Description: Lubuntu Calamares Settings and Branding
 This package contains the Calamares settings and branding for Lubuntu.
 As part of the branding the installer slideshow is contained within.
 The settings ensure a proper Lubuntu desktop is installed with the
 LXQt desktop environment.

Package: calamares-settings-ubuntu-common
Architecture: any
Depends: calamares,
         squashfs-tools,
         python3,
         ${misc:Depends}
Description: Common Calamares Settings
 This package contains the common Calamares settings for all flavors.
 There is also a automirror Python script to set sources based on
 geolocation.

## calamares-settings-ubuntu 19.10.7

=== debian/changelog ===
calamares-settings-ubuntu (1:19.10.7) eoan; urgency=medium

  * Set directory location of logs to lowercase Calamares.

 -- Dan Simmons <kc2bez@lubuntu.me>  Tue, 08 Oct 2019 19:13:24 -0400

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
 
 Package: calamares-settings-ubuntu-common
 Architecture: any
-Depends: calamares,
+Depends: calamares (>= 3.2.14~),
          squashfs-tools,
          python3,
          ${misc:Depends}

## calamares-settings-ubuntu 20.04.1

=== debian/changelog ===
calamares-settings-ubuntu (1:20.04.1) focal; urgency=medium

  * Welcome to the Focal Fossa!

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 17 Oct 2019 12:32:11 -0500

## calamares-settings-ubuntu 20.04.2

=== Makefile ===
#!/usr/bin/make -f

#SUBDIRS :=

all:
	# Desktop file
	(cd lubuntu/po/ && make)
	# Slideshow
	(cd lubuntu/branding/lubuntu/lang/ && make)
	# Get rid of the unnecessary files
	find lubuntu/ -type f -iname "*.in" | xargs rm -f
	find lubuntu/ -type f -iname "Makefile" | xargs rm -f

# vim:ts=4

=== debian/changelog ===
calamares-settings-ubuntu (1:20.04.2) focal; urgency=medium

  * Add shellprocess to implement i386 multiarch.
  * Bump Standards-Version to 4.5.0, no changes needed.

 -- Dan Simmons <kc2bez@lubuntu.me>  Mon, 27 Jan 2020 20:46:44 -0500

## calamares-settings-ubuntu 20.04.2.1

=== debian/changelog ===
calamares-settings-ubuntu (1:20.04.2.1) focal; urgency=medium

  * Switch to Canonical's GeoIP service (LP: #1899854).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 14 Oct 2020 18:37:09 -0500

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 12),
                intltool,
                qttools5-dev-tools
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: https://code.launchpad.net/ubuntu-calamares-settings
 Vcs-Git: https://git.launchpad.net/ubuntu-calamares-settings
 Vcs-Browser: https://git.launchpad.net/ubuntu-calamares-settings

## calamares-settings-ubuntu 20.10.1

=== debian/changelog ===
calamares-settings-ubuntu (1:20.10.1) groovy; urgency=medium

  [ Erich Eickmeyer ]
  * Added Ubuntu Studio
  * Welcome to the Groovy Gorilla!

  [ apt-ghetto ]
  * Fix AttributeError in automirror module (LP: #1875476)

  [ Dan Simmons ]
  * Adjust Ubuntu Studio translations.
  * Add groovy to Lubuntu branding.
  * Drop debian/compat use debhelper-compat=13, no changes needed.

 -- Dan Simmons <kc2bez@lubuntu.me>  Wed, 20 May 2020 20:40:13 -0400

## calamares-settings-ubuntu 20.10.2

=== debian/changelog ===
calamares-settings-ubuntu (1:20.10.2) groovy; urgency=medium

  [ Erich Eickmeyer ]
  * Fix for calamares-logs-helper looking in wrong home folder

 -- Erich Eickmeyer <erich@ericheickmeyer.com>  Thu, 21 May 2020 12:54:52 -0700

## calamares-settings-ubuntu 20.10.3

=== debian/changelog ===
calamares-settings-ubuntu (1:20.10.3) groovy; urgency=medium

  * Ubuntu Studio
    - Fix for leftover dvd.list file in /etc/apt/sources.list.d
    - Fix for disabled /etc/security/limits.d/audio.conf
    - Replace two slideshow images

 -- Erich Eickmeyer <erich@ericheickmeyer.com>  Fri, 22 May 2020 13:12:21 -0700

## calamares-settings-ubuntu 20.10.4

=== debian/changelog ===
calamares-settings-ubuntu (1:20.10.4) groovy; urgency=medium

  * Ubuntu Studio
    - Apply fixes in previous upload to legacy BIOS systems

 -- Erich Eickmeyer <erich@ericheickmeyer.com>  Thu, 28 May 2020 16:20:56 -0700

## calamares-settings-ubuntu 20.10.5

=== debian/changelog ===
calamares-settings-ubuntu (1:20.10.5) groovy; urgency=medium

  * Ubuntu Studio
    - Revert previous fix - caused regression

 -- Erich Eickmeyer <erich@ericheickmeyer.com>  Fri, 29 May 2020 08:34:15 -0700

=== debian/control ===
Source: calamares-settings-ubuntu
Section: devel
Priority: optional
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
Uploaders: Simon Quigley <tsimonq2@ubuntu.com>
Build-Depends: debhelper-compat (= 13), intltool, qttools5-dev-tools
Standards-Version: 4.5.0
Homepage: https://code.launchpad.net/ubuntu-calamares-settings
Vcs-Git: https://git.launchpad.net/ubuntu-calamares-settings
Vcs-Browser: https://git.launchpad.net/ubuntu-calamares-settings

Package: calamares-settings-lubuntu
Architecture: all
Depends: calamares-settings-ubuntu-common (>= ${binary:Version}),
         ${misc:Depends}
Breaks: calamares-settings-ubuntustudio
Conflicts: calamares-settings-ubuntustudio
Description: Lubuntu Calamares Settings and Branding
 This package contains the Calamares settings and branding for Lubuntu.
 As part of the branding the installer slideshow is contained within.
 The settings ensure a proper Lubuntu desktop is installed with the
 LXQt desktop environment.

Package: calamares-settings-ubuntu-common
Architecture: any
Depends: calamares (>= 3.2.14~), python3, squashfs-tools, ${misc:Depends}
Description: Common Calamares Settings
 This package contains the common Calamares settings for all flavors.
 There is also a automirror Python script to set sources based on
 geolocation.

Package: calamares-settings-ubuntustudio
Architecture: all
Depends: calamares-settings-ubuntu-common (>= ${binary:Version}),
         ${misc:Depends}
Breaks: calamares-settings-lubuntu
Conflicts: calamares-settings-lubuntu
Description: Ubuntu Studio Calamares Settings and Branding
 This package contains the Calamares settings and branding for Ubuntu Studio.
 As part of the branding the installer slideshow is contained within.
 The settings ensure a proper Ubuntu Studio desktop is installed with the
 KDE Plasma desktop environment.

## calamares-settings-ubuntu 20.10.6

=== debian/changelog ===
calamares-settings-ubuntu (1:20.10.6) groovy; urgency=medium

  * Ubuntu Studio - Actual Fixes for legacy BIOS installs
    - Blacklist dvd.list from squashfs rsync
    - Use new shellprocess script to do audio.conf.disabled rename

 -- Erich Eickmeyer <erich@ericheickmeyer.com>  Sat, 30 May 2020 22:35:45 -0700

## calamares-settings-ubuntu 20.10.7

=== debian/changelog ===
calamares-settings-ubuntu (1:20.10.7) groovy; urgency=medium

  [ Erich Eickmeyer ]
  * Ubuntu Studio
    - Darken sidebar to match new version of materia theme

  [ Dan Simmons ]
  * Lubuntu
    - Adjust Lubuntu desktop file for Groovy.
  * Ubuntu Common
    - Add dependencies for cryptsetup, keyutils, needed for LUKS
      installation and qml-modules for slideshow.

 -- Dan Simmons <kc2bez@lubuntu.me>  Wed, 03 Jun 2020 18:47:13 -0400

## calamares-settings-ubuntu 20.10.8

=== debian/changelog ===
calamares-settings-ubuntu (1:20.10.8) groovy; urgency=medium

  * Ubuntu Studio
    - Check for /etc/apt/sources.list.d/dvd.list and remove if exists

 -- Erich Eickmeyer <erich@ericheickmeyer.com>  Thu, 04 Jun 2020 16:44:43 -0700

## calamares-settings-ubuntu 20.10.9

=== debian/changelog ===
calamares-settings-ubuntu (1:20.10.9) groovy; urgency=medium

  * Ubuntu Studio
    - Update color for sidebar
    - Update Video and Photography slides

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sat, 19 Sep 2020 13:47:18 -0700

## calamares-settings-ubuntu 20.10.10

=== debian/changelog ===
calamares-settings-ubuntu (1:20.10.10) groovy; urgency=medium

  * Lowered Ubuntu Studio RAM requirements due to popular demand/confusion

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sat, 26 Sep 2020 09:45:12 -0700

## calamares-settings-ubuntu 20.10.11

=== debian/changelog ===
calamares-settings-ubuntu (1:20.10.11) groovy; urgency=medium

  * Switch to Canonical's GeoIP service.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 14 Oct 2020 18:23:51 -0500

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,14 @@
 
 Package: calamares-settings-ubuntu-common
 Architecture: any
-Depends: calamares (>= 3.2.14~), python3, squashfs-tools, ${misc:Depends}
+Depends: calamares (>= 3.2.14~),
+         cryptsetup,
+         keyutils,
+         python3,
+         qml-module-qtquick-window2,
+         qml-module-qtquick2,
+         squashfs-tools,
+         ${misc:Depends}
 Description: Common Calamares Settings
  This package contains the common Calamares settings for all flavors.
  There is also a automirror Python script to set sources based on

## calamares-settings-ubuntu 21.04.1

=== debian/changelog ===
calamares-settings-ubuntu (1:21.04.1) hirsute; urgency=medium

  [ apt-ghetto ]
  * Fix GeoIP parsing for Lubuntu in welcome module.
  * Use https for the GeoIP lookup

  [ Dan Simmons ]
  * Welcome to the Hirsute Hippo!
  * Set sambashare user as a system user. (LP: #1857364)
  * Add swapfile as an option and set it as the initial choice
    (LP: 1881191)
  * Update d/copyright.

 -- Dan Simmons <kc2bez@lubuntu.me>  Sun, 03 Jan 2021 12:38:33 -0500

## calamares-settings-ubuntu 21.04.2

=== debian/changelog ===
calamares-settings-ubuntu (1:21.04.2) hirsute; urgency=medium

  * Append -D6 to desktop exec to bring log level to preferred level.
    (LP: #1917360)

 -- Dan Simmons <kc2bez@lubuntu.me>  Mon, 01 Mar 2021 15:37:29 -0500

## calamares-settings-ubuntu 21.10.1

=== debian/changelog ===
calamares-settings-ubuntu (1:21.10.1) impish; urgency=medium

  * ubuntustudio/modules/packages.conf
    - Remove zram-config from packages to remove to prevent crash

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Tue, 14 Sep 2021 17:22:11 -0700

## calamares-settings-ubuntu 21.10.2

=== debian/changelog ===
calamares-settings-ubuntu (1:21.10.2) impish; urgency=medium

  * Update desktop files for proper version. (LP: #1944778)
  * Update branding for proper version.

 -- Dan Simmons <kc2bez@lubuntu.me>  Sat, 25 Sep 2021 07:47:25 -0400

## calamares-settings-ubuntu 22.04.1

=== debian/changelog ===
calamares-settings-ubuntu (1:22.04.1) jammy; urgency=medium

  * Welcome to Jammy Jellyfish!
    - Update Branding to 22.04.
    - Update desktop file. 
  * Bump Standards-Version to 4.6.0, no changes needed.

 -- Dan Simmons <kc2bez@lubuntu.me>  Sun, 14 Nov 2021 11:24:15 -0500

## calamares-settings-ubuntu 22.04.2

=== debian/changelog ===
calamares-settings-ubuntu (1:22.04.2) jammy; urgency=medium

  * Update Ubuntu Studio logo, slideshow (LP: #1965645)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Mon, 21 Mar 2022 08:39:17 -0700

## calamares-settings-ubuntu 22.04.3

=== debian/changelog ===
calamares-settings-ubuntu (1:22.04.3) jammy; urgency=medium

  * Fix for kded automount issue (LP: #1965658)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Tue, 22 Mar 2022 15:18:58 -0700

## calamares-settings-ubuntu 22.04.4

=== ubuntustudio/po/Makefile ===
#!/usr/bin/make -f

POTFILES := $(shell cat POTFILES.in)

all: generate-po-files

generate-pot: POTFILES.in
	intltool-update --pot --gettext-package=calamares-settings-ubuntustudio

generate-po-files:
	for i in $(POTFILES); do \
		f=$$(echo $$i | sed 's/\.in//'); \
		intltool-merge -d . ../$$i ../$$f; \
	done

update-po:
	for i in *.po; do \
		code=$$(echo $$i | sed 's/.po//'); \
		intltool-update --gettext-package=calamares-settings-ubuntustudio --dist $$code; \
	done

# vim:ts=4

=== debian/changelog ===
calamares-settings-ubuntu (1:22.04.4) jammy; urgency=medium

  * Change calamares to use Ubuntu Studio Light colors

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Thu, 24 Mar 2022 09:50:18 -0700

## calamares-settings-ubuntu 22.04.4.1

=== debian/changelog ===
calamares-settings-ubuntu (1:22.04.4.1) jammy; urgency=medium

  * Fixed BTRFS installation bug (LP: #1966774).

 -- Aaron Rainbolt <arraybolt3@gmail.com>  Sun, 24 Jul 2022 14:37:49 -0500

## calamares-settings-ubuntu 22.04.4.2

=== debian/changelog ===
calamares-settings-ubuntu (1:22.04.4.2) jammy; urgency=medium

  * Fixed LibreOffice localization bug (LP: #1970270)

 -- Aaron Rainbolt <arraybolt3@gmail.com>  Fri, 05 Aug 2022 17:26:33 -0500

## calamares-settings-ubuntu 22.04.4.3

=== Makefile ===
#!/usr/bin/make -f

#SUBDIRS :=

all:
	# Desktop file
	(cd lubuntu/po/ && make)
	(cd ubuntustudio/po/ && make)
	# Slideshow
	(cd lubuntu/branding/lubuntu/lang/ && make)
	(cd ubuntustudio/branding/ubuntustudio/lang && make)
	# Get rid of the unnecessary files
	find lubuntu/ -type f -iname "*.in" | xargs rm -f
	find lubuntu/ -type f -iname "Makefile" | xargs rm -f
	find ubuntustudio/ -type f -iname "*.in" | xargs rm -f
	find ubuntustudio/ -type f -iname "Makefile" | xargs rm -f
# vim:ts=4

=== debian/changelog ===
calamares-settings-ubuntu (1:22.04.4.3) jammy-security; urgency=medium

  * Don't allow the first user to be created with a blank password in either
    Lubuntu or Ubuntu Studio. (LP: #2016436)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Mon, 17 Apr 2023 13:56:57 -0700

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
 Uploaders: Simon Quigley <tsimonq2@ubuntu.com>
 Build-Depends: debhelper-compat (= 13), intltool, qttools5-dev-tools
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://code.launchpad.net/ubuntu-calamares-settings
 Vcs-Git: https://git.launchpad.net/ubuntu-calamares-settings
 Vcs-Browser: https://git.launchpad.net/ubuntu-calamares-settings

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_missing:
	dh_missing
	mkdir -pv debian/calamares-settings-ubuntu-common/usr/lib/$(DEB_HOST_MULTIARCH)/calamares/modules
	cp -vr common/modules/* debian/calamares-settings-ubuntu-common/usr/lib/$(DEB_HOST_MULTIARCH)/calamares/modules
	chmod -R 755 debian/calamares-settings-ubuntu-common/usr/lib/
	chmod 644 debian/calamares-settings-ubuntu-common/usr/lib/$(DEB_HOST_MULTIARCH)/calamares/modules/automirror/automirror.conf
	chmod 644 debian/calamares-settings-ubuntu-common/usr/lib/$(DEB_HOST_MULTIARCH)/calamares/modules/automirror/module.desc

## calamares-settings-ubuntu 22.10.1

=== debian/changelog ===
calamares-settings-ubuntu (1:22.10.1) kinetic; urgency=medium

  * Welcome to the Kinetic Kudu!
  * Fix manual btrfs notifications (LP: #1966774).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 28 Apr 2022 10:12:01 -0500

## calamares-settings-ubuntu 22.10.2

=== debian/changelog ===
calamares-settings-ubuntu (1:22.10.2) kinetic; urgency=medium

  * Update settings for Calamares 3.3.

 -- Aaron Rainbolt <arraybolt3@gmail.com>  Wed, 08 Jun 2022 18:48:23 -0500

## calamares-settings-ubuntu 22.10.3

=== debian/changelog ===
calamares-settings-ubuntu (1:22.10.3) kinetic; urgency=medium

  * Fixed contextual and shell processes for Lubuntu.
  * Fixed contextual and shell processed for Ubuntu Studio.
  * Updated Ubuntu Studio settings for Calamres 3.3.

 -- Aaron Rainbolt <arraybolt3@gmail.com>  Thu, 09 Jun 2022 19:27:24 -0500

## calamares-settings-ubuntu 22.10.4

=== debian/changelog ===
calamares-settings-ubuntu (1:22.10.4) kinetic; urgency=medium

  * Adjust desktop file to use pkexec so it starts.
  * Point to the right log file now that we start as root.

 -- Dan Simmons <kc2bez@lubuntu.me>  Sat, 11 Jun 2022 16:06:53 -0400

## calamares-settings-ubuntu 22.10.5

=== debian/changelog ===
calamares-settings-ubuntu (1:22.10.5) kinetic; urgency=medium

  * Fix desktop file typo in exec line.

 -- Dan Simmons <kc2bez@lubuntu.me>  Sun, 12 Jun 2022 14:45:37 -0400

## calamares-settings-ubuntu 22.10.7

=== debian/changelog ===
calamares-settings-ubuntu (1:22.10.7) kinetic; urgency=medium

  * Major oops in last changelog entry.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 26 Jun 2022 22:17:37 -0500

calamares-settings-ubuntu (1:22.10.6) kinetic; urgency=medium

  * Move much of the common modules to the common package.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 26 Jun 2022 22:10:37 -0500

## calamares-settings-ubuntu 22.10.8

=== debian/changelog ===
calamares-settings-ubuntu (1:22.10.8) kinetic; urgency=medium

  * Remove file in ubuntustudio settings duplicated in common

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Mon, 27 Jun 2022 17:15:06 -0700

## calamares-settings-ubuntu 22.10.9

=== debian/changelog ===
calamares-settings-ubuntu (1:22.10.9) kinetic; urgency=medium

  * Remove remaining conflicting ubuntustudio files existing in common

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Tue, 28 Jun 2022 11:48:34 -0700

## calamares-settings-ubuntu 22.10.11

=== debian/changelog ===
calamares-settings-ubuntu (1:22.10.11) kinetic; urgency=medium

  * Tackled edge case for if libreoffice-help-$LOCALE doesn't exist but
    libreoffice-l10n-$LOCALE does exist (required for LibreOffice
    localization to work with languages like Icelandic)

 -- Aaron Rainbolt <arraybolt3@gmail.com>  Fri, 05 Aug 2022 13:19:50 -0500

calamares-settings-ubuntu (1:22.10.10) kinetic; urgency=medium

  * Fixed LibreOffice localization bug (LP: #1970270).

 -- Aaron Rainbolt <arraybolt3@gmail.com>  Mon, 25 Jul 2022 23:47:11 -0500

## calamares-settings-ubuntu 22.10.12

=== debian/changelog ===
calamares-settings-ubuntu (1:22.10.12) kinetic; urgency=medium

  [ Erich Eickmeyer ]
  * Fix for black Ubuntu Studio sidebar (LP: #1991251)

  [ Aaron Rainbolt ]
  * Fixed a syntax error that led to incorrect sidebar coloring (LP: #1991251).
  * Set Calamares to launch in windowed mode, avoiding a welcome image scaling
    issue.

 -- Aaron Rainbolt <arraybolt3@gmail.com>  Tue, 04 Oct 2022 20:39:43 -0500

## calamares-settings-ubuntu 23.04.1

=== debian/changelog ===
calamares-settings-ubuntu (1:23.04.1) lunar; urgency=medium

  * Welcome to the Lunar Lobster!

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 28 Oct 2022 14:26:09 -0500

## calamares-settings-ubuntu 23.04.2

=== debian/changelog ===
calamares-settings-ubuntu (1:23.04.2) lunar; urgency=medium

  * Allow swap for Ubuntu Studio (LP: #1996646)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Tue, 15 Nov 2022 17:37:14 -0800

## calamares-settings-ubuntu 23.04.3

=== debian/changelog ===
calamares-settings-ubuntu (1:23.04.3) lunar; urgency=medium

  * Fixed a syntax error that led to incorrect sidebar coloring (LP: #1991251).
  * Set Calamares to launch in windowed mode, avoiding a welcome image scaling
    issue.
  * Updated Lintian overrides to work with Lintian again.
  * Removed unnecessary Breaks lines from both calamares-settings-lubuntu and
    calamares-settings-ubuntustudio. Conflicts is sufficient here.
  * Fixed broken Lintian override in Lubuntu.
  * Removed trailing whitespace from changelog.
  * Bumped Standards-Version to 4.6.1, no changes necessary.
  * Added 'Rules-Requires-Root: no'.
  * Added Lintian overrides for missing manpages.
  * Added Lintian overrides for direct usage of the dpkg database - this is
    just log file extraction.
  * Fixed changelog section for version 1:22.10.12.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Wed, 23 Nov 2022 16:08:10 -0600

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,16 @@
 Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
 Uploaders: Simon Quigley <tsimonq2@ubuntu.com>
 Build-Depends: debhelper-compat (= 13), intltool, qttools5-dev-tools
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://code.launchpad.net/ubuntu-calamares-settings
 Vcs-Git: https://git.launchpad.net/ubuntu-calamares-settings
 Vcs-Browser: https://git.launchpad.net/ubuntu-calamares-settings
+Rules-Requires-Root: no
 
 Package: calamares-settings-lubuntu
 Architecture: all
 Depends: calamares-settings-ubuntu-common (>= ${binary:Version}),
          ${misc:Depends}
-Breaks: calamares-settings-ubuntustudio
 Conflicts: calamares-settings-ubuntustudio
 Description: Lubuntu Calamares Settings and Branding
  This package contains the Calamares settings and branding for Lubuntu.
@@ -40,7 +40,6 @@
 Architecture: all
 Depends: calamares-settings-ubuntu-common (>= ${binary:Version}),
          ${misc:Depends}
-Breaks: calamares-settings-lubuntu
 Conflicts: calamares-settings-lubuntu
 Description: Ubuntu Studio Calamares Settings and Branding
  This package contains the Calamares settings and branding for Ubuntu Studio.

## calamares-settings-ubuntu 23.04.4

=== debian/changelog ===
calamares-settings-ubuntu (1:23.04.4) lunar; urgency=medium

  * Switch from using the lsb_release python module to the distro module, as
    the python module for lsb_release no longer exists in Lunar.
    (LP: #2008685)
  * Bumped Standards-Version to 4.6.2, no changes necessary.
  * Added an explicit Depends on python3-distro.
  * Ran wrap-and-sort.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Tue, 28 Feb 2023 19:27:13 -0600

## calamares-settings-ubuntu 23.04.5

=== debian/changelog ===
calamares-settings-ubuntu (1:23.04.5) lunar; urgency=medium

  * Ensure the langpacks for GNOME and KDE applications are installed too.
    This increases the end user install by approximately 25 MB, and saves them
    the trouble of having to hunt for it later.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 07 Mar 2023 13:16:32 -0700

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
 Uploaders: Simon Quigley <tsimonq2@ubuntu.com>
 Build-Depends: debhelper-compat (= 13), intltool, qttools5-dev-tools
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://code.launchpad.net/ubuntu-calamares-settings
 Vcs-Git: https://git.launchpad.net/ubuntu-calamares-settings
 Vcs-Browser: https://git.launchpad.net/ubuntu-calamares-settings
@@ -27,6 +27,7 @@
          cryptsetup,
          keyutils,
          python3,
+         python3-distro,
          qml-module-qtquick-window2,
          qml-module-qtquick2,
          squashfs-tools,

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_missing:
	dh_missing
	mkdir -pv debian/calamares-settings-ubuntu-common/usr/lib/$(DEB_HOST_MULTIARCH)/calamares/modules
	cp -vr common/modules/automirror debian/calamares-settings-ubuntu-common/usr/lib/$(DEB_HOST_MULTIARCH)/calamares/modules
	mkdir -pv debian/calamares-settings-ubuntu-common/etc/calamares/modules
	cp -vr common/modules/*.conf debian/calamares-settings-ubuntu-common/etc/calamares/modules
	chmod -R 755 debian/calamares-settings-ubuntu-common/usr/lib/
	chmod 644 debian/calamares-settings-ubuntu-common/usr/lib/$(DEB_HOST_MULTIARCH)/calamares/modules/automirror/automirror.conf
	chmod 644 debian/calamares-settings-ubuntu-common/usr/lib/$(DEB_HOST_MULTIARCH)/calamares/modules/automirror/module.desc

## calamares-settings-ubuntu 23.04.7

=== debian/changelog ===
calamares-settings-ubuntu (1:23.04.7) lunar; urgency=medium

  * Updated copyright file.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Wed, 15 Mar 2023 03:53:07 -0500

calamares-settings-ubuntu (1:23.04.6) lunar; urgency=medium

  * Updated the installer slideshow.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Mon, 13 Mar 2023 19:40:55 -0500

## calamares-settings-ubuntu 23.04.8

=== debian/changelog ===
calamares-settings-ubuntu (1:23.04.8) lunar; urgency=medium

  * Made the slideshow loop again. (Slow systems were ending up on the "The
    installation should finish soon" screen when the installation was only 8%
    done, and then were staying on that screen.)

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Thu, 16 Mar 2023 22:31:01 -0500

## calamares-settings-ubuntu 23.04.9

=== debian/changelog ===
calamares-settings-ubuntu (1:23.04.9) lunar; urgency=medium

  * Update ubuntustudio slideshow

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sat, 18 Mar 2023 08:46:57 -0700

## calamares-settings-ubuntu 23.04.10

=== debian/changelog ===
calamares-settings-ubuntu (1:23.04.10) lunar; urgency=medium

  * Fix Ubuntu Studio sidebar colors

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Mon, 20 Mar 2023 11:49:08 -0700

## calamares-settings-ubuntu 23.04.11

=== debian/changelog ===
calamares-settings-ubuntu (1:23.04.11) lunar; urgency=medium

  * Fixed an invalid "SidebarTextSelect" field in Lubuntu's branding.desc -
    this is now called "SidebarTextCurrent".

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Mon, 20 Mar 2023 17:47:40 -0500

## calamares-settings-ubuntu 23.04.12

=== debian/changelog ===
calamares-settings-ubuntu (1:23.04.12) lunar; urgency=medium

  * Don't allow the first user to be created with a blank password in either
    Lubuntu or Ubuntu Studio. (LP: #2016436)

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Sun, 16 Apr 2023 17:34:56 -0500

## calamares-settings-ubuntu 23.10.1

=== debian/changelog ===
calamares-settings-ubuntu (1:23.10.1) mantic; urgency=medium

  * Welcome to the Mantic Minotaur!
  * Add ext4, btrfs, xfs file system options on erase disk for Lubuntu.

 -- Dan Simmons <kc2bez@lubuntu.me>  Mon, 14 Aug 2023 20:10:37 -0400

## calamares-settings-ubuntu 23.10.2

=== debian/changelog ===
calamares-settings-ubuntu (1:23.10.2) mantic; urgency=medium

  * Update welcome image for Mantic in Lubuntu.

 -- Walter Lapchynski <wxl@ubuntu.com>  Sun, 10 Sep 2023 09:03:28 -0700

## calamares-settings-ubuntu 23.10.3

=== debian/changelog ===
calamares-settings-ubuntu (1:23.10.3) mantic; urgency=medium

  * No-change rebuild. 

 -- Walter Lapchynski <wxl@ubuntu.com>  Sun, 10 Sep 2023 10:05:21 -0700

## calamares-settings-ubuntu 23.10.4

=== debian/changelog ===
calamares-settings-ubuntu (1:23.10.4) mantic; urgency=medium

  * Remove the Partners repository as an option.
  * Use geoip.ubuntu.com by default.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 08 Oct 2023 12:19:57 -0500
